Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.common
Interface InformixInterval

public interface InformixInterval

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getDay()` Gets the signed value of the DAY field of the INTERVAL.
`int` | `getFraction()` Gets the signed value of the FRACTION field of the INTERVAL.
`int` | `getHour()` Gets the signed value of the HOUR field of the INTERVAL.
`int` | `getMinute()` Gets the signed value of the MINUTE field of the INTERVAL.
`int` | `getMonth()` Gets the signed value of the MONTH field of the INTERVAL.
`int` | `getSecond()` Gets the signed value of the SECOND field of the INTERVAL.
`java.lang.String` | `getString()` Formats an INTERVAL in the Informix INTERVAL escape format.
`int` | `getYear()` Gets the signed value of the YEAR field of an INTERVAL.

Method Detail

### getString

    public java.lang.String getString()
                               throws java.sql.SQLException

  Formats an INTERVAL in the Informix INTERVAL escape format.

  Examples:

         '123456789-01'           for a YEAR(9) TO MONTH       INTERVAL
         '-12345 11:12:13.14151'  for a DAY(5)  TO FRACTION(5) INTERVAL

  Returns:
    String in Informix INTERVAL escape format.

### getYear

    public int getYear()
                throws java.sql.SQLException

  Gets the signed value of the YEAR field of an INTERVAL.

  If the YEAR field is not defined in the INTERVAL, this method returns a value of zero.

### getMonth

    public int getMonth()
                 throws java.sql.SQLException

  Gets the signed value of the MONTH field of the INTERVAL.

  If the MONTH field is not defined in the INTERVAL, this method returns a value of zero.

### getDay

    public int getDay()
               throws java.sql.SQLException

  Gets the signed value of the DAY field of the INTERVAL.

  If the DAY field is not defined in the INTERVAL, this method returns a value of zero.

### getHour

    public int getHour()
                throws java.sql.SQLException

  Gets the signed value of the HOUR field of the INTERVAL.

  If the HOUR field is not defined in the INTERVAL, this method returns a value of zero.

### getMinute

    public int getMinute()
                  throws java.sql.SQLException

  Gets the signed value of the MINUTE field of the INTERVAL.

  If the MINUTE field is not defined in the INTERVAL, this method returns a value of zero.

### getSecond

    public int getSecond()
                  throws java.sql.SQLException

  Gets the signed value of the SECOND field of the INTERVAL.

  If the SECOND field is not defined in the INTERVAL, this method returns a value of zero.

### getFraction

    public int getFraction()
                    throws java.sql.SQLException

  Gets the signed value of the FRACTION field of the INTERVAL.

  Values returned by this method are all normalized to:

         (Actual Fractional Value) * (10**5)

  Examples:

  - FRACTION TO FRACTION(5) of '.12345' is returned as 12345.
  - FRACTION TO FRACTION(5) of '-.00005' is returned as -5.
  - FRACTION TO FRACTION(3) of '-.123' is returned as -12300.

  If the FRACTION field is not defined in the INTERVAL, this method returns a value of zero.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD